Package com.creditcall.chipdnamobile

# Enum Class ChipDnaMobileAmountTypeEnum

java.lang.Object
java.lang.Enum<ChipDnaMobileAmountTypeEnum>
com.creditcall.chipdnamobile.ChipDnaMobileAmountTypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ChipDnaMobileAmountTypeEnum>`, `Constable`

public enum ChipDnaMobileAmountTypeEnum extends Enum<ChipDnaMobileAmountTypeEnum>
The possible values returned for ChipDnaMobileAmountTypeEnum.

Author:
  Creditcall Ltd

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Actual`
  Actual
  `Estimate`
  Estimate
  `Unknown`
  Unknown

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChipDnaMobileAmountTypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChipDnaMobileAmountTypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Unknown

    public static final ChipDnaMobileAmountTypeEnum Unknown
    Unknown

  - ### Actual

    public static final ChipDnaMobileAmountTypeEnum Actual
    Actual

  - ### Estimate

    public static final ChipDnaMobileAmountTypeEnum Estimate
    Estimate

- ## Method Details

  - ### values

    public static ChipDnaMobileAmountTypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChipDnaMobileAmountTypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null